%global major 1
%define libname %mklibname %name %major
%define devel %mklibname -d %{name}

#define prel 20200502
%define prel_ver 1.x

Name:           spdlog
Version:        1.8.5
Release:        %mkrel 3
Summary:        Super fast C++ logging library
Group:		    System/Libraries
License:        MIT
URL:            https://github.com/gabime/%{name}/
Source0:        %{name}-%{version}%{?prel:-git%{prel}}.tar.xz
Patch1:		spdlog-const-char.patch
Patch2:		spdlog-fmt8.patch
BuildRequires:  ninja
BuildRequires:  lib64fmt-devel
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  gcc

%description
This is a packaged version of the gabime/spdlog header-only C++
logging library available at Github.

%package -n %{devel}
Group:		Development/Libraries
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       libstdc++-devel
Requires:       fmt-devel
Requires:       %{libname} = %{version}-%{release}

%description -n %{devel}
The %{name}-devel package contains C++ header files for developing
applications that use %{name}.

%package -n %{libname}
Group:		    System/Libraries
Summary:        Library for %name
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Library for %{name}

%prep
%setup -q %{?prel:-n %{name}-%{prel_ver}}
%apply_patches
find . -name '.gitignore' -exec rm {} \;
sed -i -e "s,\r,," README.md

%build
%cmake \
    -DSPDLOG_BUILD_EXAMPLES=OFF \
    -DSPDLOG_BUILD_BENCH=OFF \
    -DSPDLOG_BUILD_TESTS=OFF \
    -DSPDLOG_FMT_EXTERNAL=ON \
    -DSPDLOG_BUILD_SHARED=ON
    
%make

%install
rm -rf %buildroot
%cmake_install

%files -n %{devel}
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libspdlog.so

%files -n %{libname}
%{_libdir}/libspdlog.so.%{major}*


%changelog
* Fri Aug 26 2022 tex - 1.8.5-3pclos2022
- rebuild to fix devel requires

* Mon Jul 12 2021 tex - 1.8.5-2pclos2021
- rebuild against new fmt

* Thu May 13 2021 tex -1.8.5-1pclos2021
- 1.8.5
